Index: trunk/src/lib/collision_detection/Makefile.am
===================================================================
--- trunk/src/lib/collision_detection/Makefile.am	(revision 5708)
+++ trunk/src/lib/collision_detection/Makefile.am	(revision 5750)
@@ -6,22 +6,22 @@
 libORXcd_a_SOURCES = cd_engine.cc \
                      collision.cc \
-		     obb.cc \
+                     obb.cc \
                      obb_tree.cc \
-		     obb_tree_node.cc \
+                     obb_tree_node.cc \
                      bv_tree.cc \
-		     bv_tree_node.cc \
-		     bounding_volume.cc \
-		     bounding_sphere.cc
+                     bv_tree_node.cc \
+                     bounding_volume.cc \
+                     bounding_sphere.cc
 
 
 noinst_HEADERS =     cd_engine.h \
-		     collision_defs.h \
+                     collision_defs.h \
                      collision.h \
-		     obb.h \
+                     obb.h \
                      obb_tree.h \
-		     obb_tree_node.h \
+                     obb_tree_node.h \
                      bv_tree.h \
-		     bv_tree_node.h \
-		     bounding_volume.h \
-		     bounding_sphere.h
+                     bv_tree_node.h \
+                     bounding_volume.h \
+                     bounding_sphere.h
 
Index: trunk/src/lib/coord/p_node.h
===================================================================
--- trunk/src/lib/coord/p_node.h	(revision 5708)
+++ trunk/src/lib/coord/p_node.h	(revision 5750)
@@ -70,4 +70,5 @@
   inline const Vector& getAbsCoor () const { return this->absCoordinate; };
   void shiftCoor (const Vector& shift);
+  void shiftCoor (float x, float y, float z) { this->shiftCoor(Vector(x, y, z)); };
 
   void setRelDir (const Quaternion& relDir);
@@ -127,4 +128,6 @@
   static const char* parentingModeToChar(int parentingMode);
   static PARENT_MODE charToParentingMode(const char* parentingMode);
+
+
  private:
   void init(PNode* parent);
Index: trunk/src/lib/graphics/light.cc
===================================================================
--- trunk/src/lib/graphics/light.cc	(revision 5708)
+++ trunk/src/lib/graphics/light.cc	(revision 5750)
@@ -29,5 +29,5 @@
 using namespace std;
 
-CREATE_FACTORY(Light);
+CREATE_FACTORY(Light, CL_LIGHT);
 
 //! Definition of the Lights and their Names
Index: trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc
===================================================================
--- trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc	(revision 5708)
+++ trunk/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc	(revision 5750)
@@ -25,5 +25,5 @@
 #include "load_param.h"
 
-CREATE_FACTORY(GLMenuImageScreen);
+CREATE_FACTORY(GLMenuImageScreen, CL_GLMENU_IMAGE_SCREEN);
 
 using namespace std;
Index: trunk/src/lib/particles/particle_emitter.cc
===================================================================
--- trunk/src/lib/particles/particle_emitter.cc	(revision 5708)
+++ trunk/src/lib/particles/particle_emitter.cc	(revision 5750)
@@ -29,5 +29,5 @@
 
 
-CREATE_FACTORY(ParticleEmitter);
+CREATE_FACTORY(ParticleEmitter, CL_PARTICLE_EMITTER);
 
 /**
Index: trunk/src/lib/particles/particle_system.cc
===================================================================
--- trunk/src/lib/particles/particle_system.cc	(revision 5708)
+++ trunk/src/lib/particles/particle_system.cc	(revision 5750)
@@ -32,5 +32,5 @@
 #include "tinyxml.h"
 
-CREATE_FACTORY(ParticleSystem);
+CREATE_FACTORY(ParticleSystem, CL_PARTICLE_SYSTEM);
 SHELL_COMMAND(texture, ParticleSystem, setMaterialTexture)
     ->defaultValues(1, "maps/evil-flower.png");
Index: trunk/src/lib/physics/fields/gravity.cc
===================================================================
--- trunk/src/lib/physics/fields/gravity.cc	(revision 5708)
+++ trunk/src/lib/physics/fields/gravity.cc	(revision 5750)
@@ -23,5 +23,5 @@
 using namespace std;
 
-CREATE_FACTORY(Gravity);
+CREATE_FACTORY(Gravity, CL_FIELD_GRAVITY);
 
 Gravity::Gravity(const TiXmlElement* root)
Index: trunk/src/lib/physics/physics_connection.cc
===================================================================
--- trunk/src/lib/physics/physics_connection.cc	(revision 5708)
+++ trunk/src/lib/physics/physics_connection.cc	(revision 5750)
@@ -29,5 +29,5 @@
 using namespace std;
 
-CREATE_FACTORY(PhysicsConnection);
+CREATE_FACTORY(PhysicsConnection, CL_PHYSICS_CONNECTION);
 
 /**
